object frmFileToPICMain: TfrmFileToPICMain
  Left = 450
  Height = 331
  Top = 234
  Width = 652
  Caption = 'FileToPIC Client'
  ClientHeight = 331
  ClientWidth = 652
  Constraints.MinHeight = 331
  Constraints.MinWidth = 652
  OnClose = FormClose
  OnCreate = FormCreate
  LCLVersion = '6.5'
  object grpConnection: TGroupBox
    Left = 8
    Height = 208
    Top = 8
    Width = 274
    Caption = 'Connection'
    ClientHeight = 188
    ClientWidth = 270
    TabOrder = 0
    object lbePort: TLabeledEdit
      Left = 8
      Height = 23
      Top = 64
      Width = 152
      EditLabel.AnchorSideLeft.Control = lbePort
      EditLabel.AnchorSideRight.Control = lbePort
      EditLabel.AnchorSideRight.Side = asrBottom
      EditLabel.AnchorSideBottom.Control = lbePort
      EditLabel.Left = 8
      EditLabel.Height = 15
      EditLabel.Top = 46
      EditLabel.Width = 152
      EditLabel.Caption = 'Port'
      EditLabel.ParentColor = False
      TabOrder = 0
      Text = '7000'
    end
    object btnConnect: TButton
      Left = 168
      Height = 25
      Top = 16
      Width = 96
      Caption = 'Connect'
      OnClick = btnConnectClick
      TabOrder = 1
    end
    object pnlConnectionStatus: TPanel
      Left = 168
      Height = 23
      Top = 112
      Width = 96
      BevelColor = 385511
      Caption = 'Status'
      Color = clGreen
      Font.Color = clWhite
      Font.Height = -13
      ParentColor = False
      ParentFont = False
      TabOrder = 2
    end
    object btnDisconnect: TButton
      Left = 168
      Height = 25
      Top = 64
      Width = 96
      Caption = 'Disconnect'
      Enabled = False
      OnClick = btnDisconnectClick
      TabOrder = 3
    end
    object lbeConnectTimeout: TLabeledEdit
      Left = 8
      Height = 23
      Top = 112
      Width = 152
      EditLabel.AnchorSideLeft.Control = lbeConnectTimeout
      EditLabel.AnchorSideRight.Control = lbeConnectTimeout
      EditLabel.AnchorSideRight.Side = asrBottom
      EditLabel.AnchorSideBottom.Control = lbeConnectTimeout
      EditLabel.Left = 8
      EditLabel.Height = 15
      EditLabel.Top = 94
      EditLabel.Width = 152
      EditLabel.Caption = 'Connect Timeout [ms]'
      EditLabel.ParentColor = False
      TabOrder = 4
      Text = '20000'
    end
    object lbeReadTimeout: TLabeledEdit
      Left = 8
      Height = 23
      Top = 160
      Width = 152
      EditLabel.AnchorSideLeft.Control = lbeReadTimeout
      EditLabel.AnchorSideRight.Control = lbeReadTimeout
      EditLabel.AnchorSideRight.Side = asrBottom
      EditLabel.AnchorSideBottom.Control = lbeReadTimeout
      EditLabel.Left = 8
      EditLabel.Height = 15
      EditLabel.Top = 142
      EditLabel.Width = 152
      EditLabel.Caption = 'Read Timeout [ms]'
      EditLabel.ParentColor = False
      TabOrder = 5
      Text = '10000'
    end
    object prbConnectTimeout: TProgressBar
      Left = 168
      Height = 8
      Top = 136
      Width = 96
      Smooth = True
      TabOrder = 6
      Visible = False
    end
    object cmbHost: TComboBox
      Left = 8
      Height = 23
      Top = 16
      Width = 152
      ItemHeight = 15
      TabOrder = 7
      Text = '192.168.0.103'
    end
    object lblHost: TLabel
      Left = 8
      Height = 15
      Top = -1
      Width = 25
      Caption = 'Host'
      ParentColor = False
    end
  end
  object memLog: TMemo
    Left = 8
    Height = 105
    Top = 218
    Width = 639
    Anchors = [akTop, akLeft, akRight, akBottom]
    ReadOnly = True
    ScrollBars = ssBoth
    TabOrder = 1
    WordWrap = False
  end
  object btnSendFile: TButton
    Left = 288
    Height = 25
    Top = 8
    Width = 99
    Caption = 'Send File...'
    OnClick = btnSendFileClick
    TabOrder = 2
  end
  object prbSendFileProgress: TProgressBar
    Left = 392
    Height = 20
    Top = 8
    Width = 255
    Smooth = True
    TabOrder = 3
  end
  object btnCancelSendingFile: TButton
    Left = 288
    Height = 25
    Top = 42
    Width = 99
    Caption = 'Cancel File'
    Enabled = False
    OnClick = btnCancelSendingFileClick
    TabOrder = 4
  end
  object btnSendBeat: TButton
    Left = 288
    Height = 25
    Top = 90
    Width = 99
    Caption = 'Send Beat'
    OnClick = btnSendBeatClick
    TabOrder = 5
  end
  object chkEnableBeat5000: TCheckBox
    Left = 400
    Height = 19
    Hint = 'Enable this to send a beat every 5s.'
    Top = 90
    Width = 108
    Caption = 'Enable Beat 5000'
    Checked = True
    OnChange = chkEnableBeat5000Change
    ParentShowHint = False
    ShowHint = True
    State = cbChecked
    TabOrder = 6
  end
  object pnlBeat: TPanel
    Left = 600
    Height = 23
    Top = 40
    Width = 47
    BevelColor = 385511
    Caption = 'Beat'
    Color = clGreen
    Font.Color = clWhite
    Font.Height = -13
    ParentColor = False
    ParentFont = False
    TabOrder = 7
  end
  object btnClearLog: TButton
    Left = 288
    Height = 25
    Top = 120
    Width = 99
    Caption = 'Clear Log'
    OnClick = btnClearLogClick
    TabOrder = 8
  end
  object pnlProgress: TPanel
    Left = 392
    Height = 25
    Hint = 'File transfer progress'
    Top = 42
    Width = 131
    Caption = '0'
    ParentShowHint = False
    ShowHint = True
    TabOrder = 9
  end
  object trbBackLight: TTrackBar
    Left = 400
    Height = 30
    Top = 176
    Width = 247
    Max = 255
    Min = 30
    OnChange = trbBackLightChange
    Position = 30
    TickMarks = tmBoth
    TickStyle = tsNone
    TabOrder = 10
  end
  object lblBacklight: TLabel
    Left = 408
    Height = 15
    Top = 152
    Width = 49
    Caption = 'Backlight'
    ParentColor = False
  end
  object OpenDialog1: TOpenDialog
    Left = 288
    Top = 248
  end
  object tmrBeat5000: TTimer
    Interval = 5000
    OnTimer = tmrBeat5000Timer
    Left = 456
    Top = 248
  end
  object tmrSwitchOffBeat: TTimer
    Enabled = False
    Interval = 100
    OnTimer = tmrSwitchOffBeatTimer
    Left = 544
    Top = 248
  end
  object tmrConnectTimeout: TTimer
    Enabled = False
    OnTimer = tmrConnectTimeoutTimer
    Left = 184
    Top = 248
  end
  object tmrStartup: TTimer
    Enabled = False
    Interval = 10
    OnTimer = tmrStartupTimer
    Left = 40
    Top = 248
  end
end
