unit FileToPICConsts;

{$IFNDEF IsMCU}
  {$IFDEF FPC}
    {$mode objfpc}{$H+}
  {$ENDIF} 

  interface
{$ENDIF}

const
  CSendFileToSrvCmd = 'FileToSrv';
  CListFilesCmd = 'ListFiles';
  CProgFromFileCmd = 'ProgFromFile';

  CSetPinCmd = 'SetPin';
  CGetPinCmd = 'GetPin';

  CSendBeatCmd = 'Beat'; //heart beat, but on demand
  CSendBacklightCmd = 'Backlight'; //heart beat, but on demand
  CDisconnectCmd = 'Disconnect';

  COKResponse = 'OK';
  CFAT32ErrResponse = 'FAT32Err';
  CFileNameErr = 'FilenameErr';
  CUnknownResponse = 'Unknown';

  COKResponseWithCRLF = COKResponse + #13 + #10;
  CFAT32ErrResponseWithCRLF = CFAT32ErrResponse + #13 + #10;

  CRequestNextPiece_Start = 'Next_Start';
  CRequestNextPiece_StartWithCRLF = 'Next_Start' + #13 + #10;

  CRequestNextPiece_Middle = 'Next_Middle';
  CRequestNextPiece_MiddleWithCRLF = 'Next_Middle' + #13 + #10;

  CRequestNextPiece_End = 'Next_End';
  CRequestNextPiece_EndWithCRLF = 'Next_End' + #13 + #10;

  CStopFileTransfer = 0;
  CContinueFileTransfer = 1;
  CFinishFileTransfer = 2; //send this on the last piece

implementation

end.

