unit FileToPICUtils;

{$IFDEF FPC}
  {$mode objfpc}{$H+}
{$ENDIF}

interface

uses
  Classes, SysUtils;

type
  {$IFNDEF FPC}
    DWord = Cardinal;
  {$ENDIF}

  TOnTransferFileProgress = procedure(Position: DWord) of object;
  TOnTransferFileSize = procedure(FileSize: DWord) of object;
  TOnAddMessageToLog = procedure(AMsg: string) of object;


function GetFileSizeOfSendingFile(AFileName: string): Int64;

implementation


function GetFileSizeOfSendingFile(AFileName: string): Int64;
var
  AFileStream: TFileStream;
begin
  AFileStream := TFileStream.Create(AFileName, fmOpenRead);
  try
    Result := AFileStream.Size;
  finally
    AFileStream.Free;
  end;
end;

end.

